# Returns a list of records with the specified service Returns a list of records with the specified service Endpoint: GET /customFields/{tenantId}/service/{service} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The tenant - `service` (string, required) The service to use to for record lookup ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned - `exclusiveStartKey` (string) If paging, this allows you to return the next set of results ## Response 200 fields (application/json): - `Count` (integer) - `Items` (array) - `Items.acceptable_values` (array) - `Items.acceptable_values.label` (string) - `Items.acceptable_values.value` (string) - `Items.can_enter_new_values` (boolean) For picklists, whether you can enter in new values - `Items.complex_requirement_rules` (object) Advanced rules for when this field should be required - `Items.complex_requirement_rules.all` (array) - `Items.complex_requirement_rules.all.any` (object) - `Items.complex_requirement_rules.all.fact` (string) The piece of data being examined - `Items.complex_requirement_rules.all.operator` (string) The operator Enum: "contains", "containsString", "doesNotContain", "equal", "greaterThan", "greaterThanInclusive", "in", "isBlank", "isNotBlank", "lessThan", "lessThanInclusive", "matchesPatter", "notContainsString", "notEqual", "notIn", "regex" - `Items.complex_requirement_rules.all.path` (string) The path of the value being tested - `Items.curated_dataset` (string) The name of the cureated dataset to use - `Items.custom_object_id` (string, required) For table custom fields, the custom object being references - `Items.default_value` (object) Default value to use for this field - `Items.display_order` (number) An optional display order - `Items.enable_default_value` (boolean) Whether or not this custom field should have a default value - `Items.enable_parent_field_mapping` (boolean) Determines whether parent field mappings are enabled - `Items.form_prompt` (string) Optional text to display when filling out a form with this field; if not set, the field name is used - `Items.help_text` (string) Help text shown to the user - `Items.id` (string, required) The safe field name used in reporting and data storage. This must be unique - `Items.is_active` (boolean) Whether not this is an active field that should be displayed in dropdowns - `Items.maximum_number_of_words` (number) For large text fields, the maximum # of words - `Items.name` (string, required) The name of the custom field, visible on forms to users - `Items.number_of_decimal_places` (integer) - `Items.optional_in_console` (boolean) - `Items.parent_child_options` (object, required) For picklists, define a parent/child mapping between fields in the parent picklist and fields in this one - `Items.parent_child_options.field_mappings` (array) - `Items.parent_child_options.field_mappings.child_field_values` (array) The selected values in THIS field that should be shown when the parent field value is selected - `Items.parent_child_options.field_mappings.parent_field_value` (string, required) The parent field value - `Items.parent_child_options.parent_field_id` (string, required) For picklists, set a parent field that controls the values in this field - `Items.portal_accessibility` (string) Enum: "none", "read only", "write" - `Items.rating_options` (object, required) - `Items.rating_options.maximum_rating` (number, required) The maximum rating value that can be given - `Items.rating_options.meaning_of_maximum` (string) The meaning of the maximum value of hte scale (i.e., Very Important, Very Satisfied - `Items.rating_options.meaning_of_minimum` (string) The meaning of the minimum value of the scale (i.e., Not Important, Unsatisfied) - `Items.rating_options.show_text` (boolean) Whether or not text should be shown - `Items.rating_options.theme` (string) The type of rating to show Enum: "horizontal", "movie", "square", "stars" - `Items.reference_type` (string) For reference lookup fields, the service/object being referenced - `Items.required` (boolean) - `Items.service` (string, required) The service for which this custom field is being created. - `Items.sort_values_alphabetically` (boolean) - `Items.sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `Items.sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `Items.sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `Items.sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `Items.sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `Items.sys_calculated_field_error` (string) The error associated with the calculated field - `Items.sys_calculated_field_errors` (array) - `Items.sys_calculated_field_errors.error` (string) - `Items.sys_calculated_field_errors.field` (string) - `Items.sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `Items.sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `Items.sys_created_by_id` (string, required) The ID of the user that created this record - `Items.sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `Items.sys_directive` (string) Means for passing directive information into an object processing logic - `Items.sys_external_id` (string) The ID that a record has from an external system or data import - `Items.sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `Items.sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `Items.sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `Items.sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `Items.sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `Items.sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `Items.sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `Items.sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `Items.sys_version` (number) A number representing the version of this record in the database - `Items.textbox_options` (object) - `Items.textbox_options.append_text` (string) Text to append to the textbox - `Items.textbox_options.prepend_text` (string) Text to prepend to the textbox - `Items.type` (string, required) The data type to be used Enum: "checkboxes", "currency", "date", "date-time", "electronic signature", "email", "file", "html", "image", "large text", "multiselect picklist", "number", "percent", "phone", "picklist", "radiobuttons", "rating", "reference", "table", "text", "url", "yes-no" - `Items.use_curated_dataset` (boolean) For list based values, whether to download data from a Rhythm curated dataset - `Items.use_first_value_as_default` (boolean) - `LastEvaluatedKey` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields